Imports System.Diagnostics.CodeAnalysis

Namespace Microsoft.Naming

    ' この名前空間は CA1702:AssemblyShouldBeCompoundWord に違反しています。
    Namespace Filename
        Public Class Rule1702
        End Class
    End Namespace

    ' このクラスは CA1702:TypeShouldBeCompoundWord に違反しています。
    Public Class Toolbar
    End Class

    ' このクラスは CA1702:TypeTypeParameterShouldBeCompoundWord に違反しています。
    Public Class Rule1702A(Of TFilename)
        Private value As String = "Rule1702A"

        ' このメソッドは CA1702:MemberShouldBeCompoundWord に違反しています。
        ' このメソッドは CA1702:MemberParameterShouldBeDiscreteTerm に違反しています。
        ' このメソッドは CA1702:MemberTypeParameterShouldBeDiscreteTerm に違反しています。
        <SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly")> _
        Public Sub Filename(Of TMultiPart)(ByVal checkSum As TMultiPart)
            Console.WriteLine(value)
            Console.WriteLine(checkSum)
        End Sub
    End Class

    ' このデリゲートはCA1702:DelegateParameterShouldBeDiscreteTerm に違反しています。
    Public Delegate Sub Rule1702B(ByVal checkSum As String)

End Namespace
